var _ = require('underscore');
var emulators = require('../../emulators');

var fields = ['id', 'serialoscId', 'prefix', 'name'];

exports.findAll = function(req, res) {
  var out = {modules: [], running: []};
  _.each(emulators.modules.findAll(), function(module) {
    out.modules.push(_.pick(module, fields));
  });
  _.each(emulators.running.findAll(), function(running) {
    out.running.push(_.pick(running, fields));
  });
  res.json(out);
};