var _ = require('underscore');
var emulators = require('../../../emulators');

var fields = ['id', 'name', 'prefix', 'serialoscId'];

exports.findById = function(req, res) {
  req.params.id = parseInt(req.params.id, 10);
  var module = _.where(state.emulators.modules, {id: req.params.id});
  if (!module) {
    res.statusCode = 404;
    res.end();
    return;
  }
  res.json(_.pick(module, fields));
};

exports.findAll = function(req, res) {
  var out = [];
  _.each(emulators.modules.findAll(), function(module) {
    out.push(_.pick(module, fields));
  });
  res.json(out);
};