var midi = require('../../../midi');

exports.findAll = function (req, res) {
  var ins = midi.ins.findAll();
  if (!ins) {
    res.statusCode = 500;
    res.end();
    return;
  }
  res.json(ins);
};

exports.findById = function (req, res) {
  req.params.id = parseInt(req.params.id, 10);
  var input = midi.ins.findById(req.params.id);
  if (!input) {
    res.statusCode = 404;
    res.end();
    return;
  }
  res.json(input);
};