var midi = require('../../../midi');

exports.findAll = function (req, res) {
  var outs = midi.outs.findAll();
  if (!outs) {
    res.statusCode = 500;
    res.end();
    return;
  }
  res.json(outs);
};

exports.findById = function (req, res) {
  req.params.id = parseInt(req.params.id, 10);
  var output = midi.outs.findById(req.params.id);
  if (!output) {
    res.statusCode = 404;
    res.end();
    return;
  }
  res.json(output);
};