exports.name = 'midi trigger';

exports.options = {
  minSizeX: 1,
  maxSizeX: 1,
  minSizeY: 1,
  maxSizeY: 1,
  ui: {
    midiIn: 'midi input',
    midiOut: 'midi output',
    note: 'number',
    channel: 'number'
  }
};

exports.create = function(options, instance) {
  instance.press = function(x, y, s) {
    console.log('blockpress');
  };
  instance.noteIn = function(num, vel, chan, on) {
    console.log('noteIn');
  };
  return instance;
};